Subject: bug#43243: emacs-elfeed-org, mapc: Symbol’s function definition is void

From: zimoun <[email-masked]>
Date: Mon, 5 Oct 2020 15:45:18 +0200

On Mon, 5 Oct 2020 at 14:57, Giovanni Biscuolo <[email-masked]> wrote:

> >> AFAIU the error was triggered by the fact that my Emacs (on foreign
> >> distro) was still loading some old code from ~/.emacs.d/elpa, installed
> >> using use-package (mixed with Debian packages in some case) before I
> >> migrated to Guix Emacs.
> >
> > As with other things Guix, mix and match of ad-hoc package management
> > (e.g., Emacs' native package management) and Guix can cause conflicts.
> > There is not always a clear solution to these problems.
>
> I think the only conflicting code was coming from ~/.emacs.d/elpa and I
> did not realized this until yesterday. I still do not fully understad
> what is the config option in my init.el loading that code, but it's
> tangent here.

Each time you have
   '(use-package foo :ensure t)'
and
   '(specifications->manifest (list "emacs-foo"))'
then it is conflicting.  Please re-read this message [1].

The option in your init.el loading that code is ':ensure t'.  See:
"The :ensure keyword causes the package(s) to be installed
automatically if not already present on your system:"; from the
'use-package' documentation [2].

[1] <http://issues.guix.gnu.org/43243#10>
[2] <https://github.com/jwiegley/use-package#package-installation>

All the best,
simon